summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2017-06-23 19:57:26 +0200
committerManuel Rüger <mrueg@gentoo.org>2017-06-23 19:57:54 +0200
commit97ed822298b5e621f0e53ef5d9abe76d89e95cae (patch)
treec573b72d4bc5480f9abf30cc3dde1e2ee13f8e22 /net-fs/minio
parentdev-util/cmake: Bump to version 3.9.0_rc4. Removed old. (diff)
downloadgentoo-97ed822298b5e621f0e53ef5d9abe76d89e95cae.tar.gz
gentoo-97ed822298b5e621f0e53ef5d9abe76d89e95cae.tar.bz2
gentoo-97ed822298b5e621f0e53ef5d9abe76d89e95cae.zip
net-fs/minio: Initial version
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'net-fs/minio')
-rw-r--r--net-fs/minio/Manifest1
-rw-r--r--net-fs/minio/metadata.xml8
-rw-r--r--net-fs/minio/minio-0_pre20170613.ebuild44
3 files changed, 53 insertions, 0 deletions
diff --git a/net-fs/minio/Manifest b/net-fs/minio/Manifest
new file mode 100644
index 00000000000..8f29fbb2c9a
--- /dev/null
+++ b/net-fs/minio/Manifest
@@ -0,0 +1 @@
+DIST minio-0_pre20170613.tar.gz 5037377 SHA256 a44ee8c0933e55c1c561d4ed154564af1d45571a2cd0b00b0788b59d9475c402 SHA512 3844ce71dc5b7736e9a1ecdc8771b863879b195f22546e74e5c29a8100c3102bced971f138f19fd7788d2cc6cf6c766f3b9727af8770ca59cc4d621e92dd22a7 WHIRLPOOL cf8809d03530468e5bff26e6afc3f031d78f979dd02f254d9f50faf515e94d87de2f45a39b9dace65f28928698a12f94891c9c0ef6d51b3e18bd0de41f06ef7f
diff --git a/net-fs/minio/metadata.xml b/net-fs/minio/metadata.xml
new file mode 100644
index 00000000000..97df2a00971
--- /dev/null
+++ b/net-fs/minio/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mrueg@gentoo.org</email>
+ <name>Manuel Rüger</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/net-fs/minio/minio-0_pre20170613.ebuild b/net-fs/minio/minio-0_pre20170613.ebuild
new file mode 100644
index 00000000000..18e6eb2062e
--- /dev/null
+++ b/net-fs/minio/minio-0_pre20170613.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/minio/minio"
+VERSION="2017-06-13T19-01-01Z"
+EGIT_COMMIT="b9f622824ac17d3e0577d8a9b81a707666cc8cf1"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="An Amazon S3 compatible object storage server"
+HOMEPAGE="https://github.com/minio/minio"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+RESTRICT="test"
+
+src_prepare() {
+ default
+ sed -i -e "s/time.Now().UTC().Format(time.RFC3339)/\"${VERSION}\"/"\
+ -e "s/-s //"\
+ -e "/time/d"\
+ -e "s/+ commitID()/+ \"${EGIT_COMMIT}\"/"\
+ src/${EGO_PN}/buildscripts/gen-ldflags.go || die
+}
+
+src_compile() {
+ pushd src/${EGO_PN} || die
+ MINIO_RELEASE="${VERSION}"
+ go run buildscripts/gen-ldflags.go
+ GOPATH="${S}" go build --ldflags "$(go run buildscripts/gen-ldflags.go)" -o ${PN} || die
+ popd || die
+}
+
+src_install() {
+ pushd src/${EGO_PN} || die
+ dodoc -r README.md CONTRIBUTING.md MAINTAINERS.md docs
+ dobin minio
+ popd || die
+}